﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using Telerik.Windows.Controls;
using System.Windows.Controls.Primitives;

namespace AgApp
{
	public partial class Page1 : RadPage
	{
		public Page1()
		{
			InitializeComponent();
		}

		private void Button_Click(object sender, RoutedEventArgs e)
		{
			NavigationService service = NavigationService.GetNavigationService();
			service.Target = Application.Current.RootVisual as Panel;
			service.Navigate(new Page2());
		}

		private void radUpload_FileUploadStarting(object sender, FileUploadStartingEventArgs e)
		{
			string info = "--- Uploading file:\r" + e.UploadData.FileName + "\r";
			this.infoPane.Text += info;
		}

		private void radUpload_FileUploaded(object sender, Telerik.Windows.Controls.FileUploadedEventArgs e)
		{
			string filename = "...";
			if (e.HandlerData.CustomData.ContainsKey("UploadedFile"))
			{
				filename = e.HandlerData.CustomData["UploadedFile"].ToString();
				filename = filename.Replace(@"\\", @"\");
			}
			this.infoPane.Text += ". . . Saved as:\r" + filename + "\r";
		}

		private void radUpload_UploadStarted(object sender, UploadStartedEventArgs e)
		{
			this.infoPane.Text += "- - - - - Upload Started - - - - -\r";
		}

		private void radUpload_FilesSelected(object sender, FilesSelectedEventArgs e)
		{
			this.infoPane.Text = "- - - - - Files Selected - - - - -\r";
			foreach(RadUploadSelectedFile file in this.radUpload.CurrentSession.SelectedFiles)
			{
				this.infoPane.Text += file.Name + "\r";
			}
		}
	}
}
